{{
This program demonstrates how the RealRandom object
is used to generate random numbers from 0 to n

It uses the Parallax Serial Terminal program to display the
numbers using the FullDuplexSerial object to do the serial I/O
}}

CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

OBJ

  Debug  : "fullduplexserial"
  RR     : "RealRandom"

PUB Main | i
  RR.start                          'start RealRandom
  Debug.Start(31,30,0,115200)       'start serial object
  waitcnt(clkfreq*2+cnt)            'give everything 2 secs to warm up
  repeat
    Debug.Tx(16)                   'clear screen
    i := Random(1000000)             'get the number
    Debug.Dec(i)                   'display the number
    if i < 10                     'shows up 0.001% of the time
       Debug.Str(string("   0.001%"))
    if i < 600000                 'shows up 60% of the time
       Debug.Str(string("   60%"))
    waitcnt(clkfreq/2+cnt)
                                           
Pri Random(Limit)
'returns a random number from 0 to Limit-1
'uses the || operator to get absolute value
'uses // operator to keep the number 0 to Limit-1
   Return ||RR.Random//Limit
   